IEEE80211_IOCTL(9)

NAME
ieee80211_ioctl - 802.11 interface ioctl commands

SYNOPSIS
#include <net80211/ieee80211_var.h>
#include <net80211/ieee80211_proto.h>
#include <net80211/ieee80211_ioctl.h>
int
ieee80211_ioctl(struct ifnet *ifp, u_long cmd, caddr_t data);

DESCRIPTION
These functions are typically invoked by drivers in response to requests for information or to change settings from the userland.

The ieee80211_ioctl() function provides a default implementation of the SIOCS80211 and SIOCG80211 ifioctls commands for 802.11 drivers. The call signature is identical to that of the if_ioctl member found in struct ifnet, however, many drivers store attributes such as IEEE80211_IOC_STATIONNAME in the driver's private soft state structure, so driver writers may prefer to use this as the catch-all in a switch statement to avoid code duplication.

SEE ALSO
ifconfig(8), ieee80211(9)

HISTORY
The ieee80211 series of functions first appeared in NetBSD 1.5, and were later ported to FreeBSD 4.6 and OpenBSD 3.6.

AUTHORS
-nosplit This man page was written by Bruce M. Simpson <bms@FreeBSD.org> and Darron Broad <darron@kewl.org>.